net.corda.core.contracts.clauses

## Class ClauseVerifier

- net.corda.core.contracts.clauses.ClauseVerifier

-     public class ClauseVerifier

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <C extends CommandData> void` | `verifyClause(TransactionForContract tx, Clause<? super net.corda.core.contracts.ContractState,C,? super kotlin.Unit> clause, java.util.List<? extends net.corda.core.contracts.AuthenticatedObject<? extends C>> commands)` Verify a transaction against the given list of clauses.

- - ### Method Detail

    - #### verifyClause

          public static <C extends CommandData> void verifyClause(TransactionForContract tx,
                                                                  Clause<? super net.corda.core.contracts.ContractState,C,? super kotlin.Unit> clause,
                                                                  java.util.List<? extends net.corda.core.contracts.AuthenticatedObject<? extends C>> commands)

      Verify a transaction against the given list of clauses.

      Parameters:
        `tx` - transaction to be verified.
        `commands` - commands extracted from the transaction, which are relevant to the clauses.